package com.byteslounge.spring.mvc.controller;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class ExampleController {

	@RequestMapping(value = "/test",
		method = RequestMethod.POST,
		consumes = "application/xml")
	public ResponseEntity<String> processXml(@RequestBody String requestBody){
		
		return new ResponseEntity<String>(
			"Handled application/xml request. Request body was: " 
			+ requestBody, 
			new HttpHeaders(), 
			HttpStatus.OK);
	}
	
	@RequestMapping(value = "/test",
		method = RequestMethod.POST,
		consumes = "application/json")
	public ResponseEntity<String> processJson(@RequestBody String requestBody){
		
		return new ResponseEntity<String>(
			"Handled application/json request. Request body was: " 
			+ requestBody, 
			new HttpHeaders(), 
			HttpStatus.OK);
	}
	
}
